# List all DR tests

List all DR tests (DRTest stages) from pipelines

Endpoint: GET /gateway/chaos/manager/api/v3/dr-tests
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `limit` (integer)

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `page` (integer)

  - `projectIdentifier` (string)
    project id to access the resource

  - `search` (string)
    name that you want to search

  - `sort` (string)

## Response 200 fields (application/json):

  - `drtests` (array)

  - `drtests.description` (string)

  - `drtests.identity` (string)

  - `drtests.name` (string)

  - `drtests.objective` (string)

  - `drtests.spec` (object)

  - `drtests.spec.pipeline` (object)

  - `drtests.spec.pipeline.identity` (string)

  - `drtests.spec.pipeline.lastModified` (integer)

  - `drtests.spec.pipeline.name` (string)

  - `drtests.spec.pipeline.recentRuns` (array)

  - `drtests.spec.pipeline.recentRuns.endTs` (integer)

  - `drtests.spec.pipeline.recentRuns.executionId` (string)

  - `drtests.spec.pipeline.recentRuns.executorInfo` (object)

  - `drtests.spec.pipeline.recentRuns.executorInfo.email` (string)

  - `drtests.spec.pipeline.recentRuns.executorInfo.triggerType` (string)

  - `drtests.spec.pipeline.recentRuns.executorInfo.username` (string)

  - `drtests.spec.pipeline.recentRuns.startTs` (integer)

  - `drtests.spec.pipeline.recentRuns.status` (string)

  - `drtests.tags` (object)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


